Bug 173217 - 502 command error when file is available
502 command error when file is available
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 23:19 EST by James Burke
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-14 23:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Burke 2005-11-14 23:19:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.5

Description of problem:
I can successfully download the rpm
ftp://ftp.muug.mb.ca/pub/fedora/linux/extras/4/i386/sqlite2-2.8.16-1.fc4.i386.
rpm

I think the problem is with yum, as I can download this rpm with other ftp 
clients..



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. yum install gambas
2.
3.
  

Actual Results:  Added 0 new packages, deleted 965 old in 3.66 seconds
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for gambas to pack into transaction set.
gambas-1.0.11-1.fc5.i386. 100% |=========================|  15 kB    00:00
---> Package gambas.i386 0:1.0.11-1.fc5 set to be updated
--> Running transaction check
--> Processing Dependency: libsqlite.so.0 for package: gambas
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: gambas
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for sqlite2 to pack into transaction set.
ftp://ftp.muug.mb.ca/pub/fedora/linux/extras/4/i386/sqlite2-2.8.16-1.fc4.i386.
rpm: [Errno 4] IOError: [Errno ftp error] [Errno ftp error] 502 Command REST not 
allowed by policy.
Trying other mirror.
Error: failure: sqlite2-2.8.16-1.fc4.i386.rpm from fedora-extras-ca: [Errno 256] 
No more mirrors to try.


Additional info:

notice, gambas is in extras, I downloaded the sqlite rpm and was able to install 
it with rpm -i <sqlitepackage.rpm>
Comment 1 Seth Vidal 2005-11-14 23:26:49 EST
The ftp server in question or your proxy doesn't allow ftp-based byte-ranges.
Hence the policy restriction on REST

So you'd be able to download the whole package but not a specific part,
something that yum must be able to do.

Talk to the mirror admin about allowing restarted downloads (REST) or use a
different mirror
Comment 2 James Burke 2005-11-15 15:06:04 EST
I wish I can have a say to all mirrors of fedora extras site managers, but this 
is not my job. There should be a stricter policy set upstage from whom ever is 
making mirroring rules for fedora extras -- otherwise they shouldn't be in the 
list. If i'm getting more than 1 502 error and from a different server listed 
from the fedora project mirror list-- then this sort of thing should be forward 
to all ftp or htpp site maintainers. I'm not sure who I can forward to, so I'm 
hoping someone can feedback as to whom can enforce this policy.

james

(In reply to comment #1)
> The ftp server in question or your proxy doesn't allow ftp-based byte-ranges.
> Hence the policy restriction on REST
> 
> So you'd be able to download the whole package but not a specific part,
> something that yum must be able to do.
> 
> Talk to the mirror admin about allowing restarted downloads (REST) or use a
> different mirror



Note You need to log in before you can comment on or make changes to this bug.